# encoding: utf-8

# File:	clients/novell-lum.ycp
# Package:	Configuration of novell-lum
# Summary:	Main file
# Authors:	Stephen T. Bunch <sbunch@novell.com>
#
# $Id: novell-lum.ycp,v 1.1.2.2 2004/11/10 16:48:05 sbunch Exp $
#
# Main file for novell-lum configuration. Uses all other files.
module Yast
  class NovellLumClient < Client
    def main
      Yast.import "UI"

      #**
      # <h3>Configuration of novell-lum</h3>

      textdomain "novell-lum"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("NovellLum module started")

      Yast.import "Progress"
      Yast.import "Report"
      Yast.import "Summary"
      Yast.import "NovellAddonInstall"
      Yast.import "CommandLine"
      Yast.include self, "novell-lum/wizards.rb"

      @cmdline_description = {
        "id"         => "novell-lum",
        # Command line help text for the Xnovell-lum module
        "help"       => _(
          "Configuration of Linux User Mgmt"
        ),
        "guihandler" => fun_ref(method(:NovellLumSequence), "any ()"),
        "initialize" => fun_ref(NovellLum.method(:Read), "boolean ()"),
        "finish"     => fun_ref(NovellLum.method(:Write), "boolean ()"),
        "actions" =>
          # FIXME TODO: fill the functionality description here
          {},
        "options" =>
          # FIXME TODO: fill the option descriptions here
          {},
        "mapping" =>
          # FIXME TODO: fill the mappings of actions and options here
          {}
      }

      # is this proposal or not?
      @propose = false
      @args = WFM.Args
      if Ops.greater_than(Builtins.size(@args), 0)
        if Ops.is_path?(WFM.Args(0)) && WFM.Args(0) == path(".propose")
          Builtins.y2milestone("Using PROPOSE mode")
          @propose = true
        end
      end

      # main ui function
      @ret = nil

      if @propose
        if Ops.get(NovellAddonInstall.products_to_configure, "novell-lum", true)
          @ret = NovellLumAutoSequence()
        else
          @ret = :next
        end
      else
        @ret = CommandLine.Run(@cmdline_description)
      end
      Builtins.y2debug("ret=%1", @ret)

      # Finish
      Builtins.y2milestone("NovellLum module finished")
      Builtins.y2milestone("----------------------------------------")

      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::NovellLumClient.new.main
